# <img src="docs/assets/sgtsne.png" width="40px" align="center" alt="sgtsnepi logo"> PySGtSNEpi

<img src="docs/assets/logo.png" width="800px" align="center" alt="sgtsnepi demo">

[![PyPI version](https://badge.fury.io/py/pysgtsnepi.svg)](https://badge.fury.io/py/pysgtsnepi)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

PySGtSNEpi is a Python module (wrapper) implementing the Swift Neighbor Embedding
of Sparse Stochastic Graphs ([SG-t-SNE-Π](https://t-sne-pi.cs.duke.edu)) algorithm.

---

## 🚀 Features

- **SGtSNEpi**  
  Embed sparse stochastic graphs. [TBD]

- **Lambda Equalization**  
  Equalize the local entropy of columns in a matrix.

---

## 📦 Installation

## Install from PyPI

```bash
pip install pysgtsnepi
```

## Install from source

```bash
git clone https://github.com/qqgjyx/pysgtsnepi.git
cd pysgtsnepi
pip install .
```

---

## 📚 Documentation

Full documentation is available at [www.qqgjyx.com/pysgtsnepi](https://www.qqgjyx.com/pysgtsnepi).

---

## 🛠 Contributing

We welcome contributions to improve mheatmap! Please follow these steps:

1. Fork the repository
2. Create a new branch (`feature-branch`)
3. Commit your changes
4. Open a pull request

---

## 🔗 Links

- [SGtSNEpi.jl](https://github.com/fcdimitr/SGtSNEpi.jl?tab=readme-ov-file)
- [sgtsnepi](https://github.com/fcdimitr/sgtsnepi)

## 📝 Citation

If you use our package, please cite:

```bibtex
@inproceedings{pitsianis2019hpec,
  title = {Spaceland Embedding of Sparse Stochastic Graphs},
  booktitle = {{{IEEE High Performance Extreme Computing Conference}}},
  author = {Pitsianis, Nikos and Iliopoulos, Alexandros-Stavros and Floros, Dimitris and Sun, Xiaobai},
  date = {2019},
  doi = {10.1109/HPEC.2019.8916505}
}

@article{pitsianis2019joss,
  title = {{{SG-t-SNE-Π}}: Swift Neighbor Embedding of Sparse Stochastic Graphs},
  author = {Pitsianis, Nikos and Floros, Dimitris and Iliopoulos, Alexandros-Stavros and Sun, Xiaobai},
  date = {2019},
  journaltitle = {Journal of Open Source Software},
  volume = {4},
  number = {39},
  pages = {1577},
  issn = {2475-9066},
  doi = {10.21105/joss.01577},
  url = {http://dx.doi.org/10.21105/joss.01577}
}
```

---

## 📝 License

This project is licensed under the MIT License.
See the [LICENSE](https://github.com/qqgjyx/mheatmap/blob/main/LICENSE) file for details.

---